<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [purchaseSleeve](./bitburner.sleeve.purchasesleeve.md)

## Sleeve.purchaseSleeve() method

Purchase a sleeve. You must be in BitNode 10 to use this API.

**Signature:**

```typescript
purchaseSleeve(): Result;
```
**Returns:**

[Result](./bitburner.result.md)

Action result

## Remarks

RAM cost: 4 GB

